Subject: Re: [RFC 1/3] hvc_console: rework setup to replace irq functions with callbacks

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 13 Oct 2008 20:52:59 +1100

On Mon, 2008-10-13 at 10:47 +0200, Christian Borntraeger wrote:
> > I will try. Of course the risk here is that the interrupt happens
> > after we set hp->tty to NULL, so we probably need to check within the
> > interrupt handler for a NULL tty. I haven't checked if that's the case
> > (I'm not in front of the code right now).
> 
> Even the old code (without my patch) was setting hp->tty to NULL before doing 
> the irq_free, so that should be ok.

Yup, just checked, it should be allright as long as it's cleared with
the spinlock held, which seems to be the case with your patch. I'll test
your fixup patch tomorrow to see if it clears the lockdep error.

Thanks !

Ben.